<?php
/**
 * @package Include/help/en
 */
?>
<h1>動的しきい値</h1>

<h2>動的しきい値の間隔</h2>

<p>
	動的しきい値の間隔フィールドには時間間隔を設定します。モジュールは、その期間中に取得したデータを返します。これにより、<?php echo get_product_name();?> はサーバの設定に従って障害および警告状態しきい値の最小値を設定します。
	<br><br>
        デフォルトの設定では最小値<b>のみ</b>を設定します。最大値が 0 の場合は、設定された最小値から無限大の範囲を意味します。
	<br><br>
	<b>例:</b><br>
	警告状態 最小 = 5 かつ 最大 = 0<br>
	障害状態 最小 = 10 かつd 最大 = 0<br>
        この場合、モジュールは次の状態となります:<br>
	  - マイナス無限大から 4 で、正常状態<br>
	  - 5 から 9 で警告状態<br>
	  - 10 から無限大で障害状態
	<br><br>
	<b>例 2:</b><br>
	警告状態 最小 = 5 および 最大 = 0、条件の反転をチェック<br>
	障害状態 最小 = 10 および 最大 = 0、条件の反転をチェック<br>
        この場合、モジュールは次の状態となります:<br>
	  - 10 から無限大で正常状態<br>
	  - 警告状態は無し<br>
	  - 10 からマイナス無限大で障害状態
	<br><br>
		この例で、障害しきい値が警告しきい値と同じ場合は、<b>障害状態と認識します。</b>
</p>

<h2>動的しきい値の拡張オプション</h2>
<b>動的しきい値の最小/最大</b>
<p>
	これらのフィールドは、動的に生成されたしきい値を上げたり下げたるする必要がある場合に、調整のためのパーセンテージを指定します。
	動的に生成されたしきい値を下げる場合は、マイナスのパーセンテージを指定し、上げる場合はプラスのパーセンテージを指定します。これにより、しきい値のチューニングが可能です。
</p>

<b>2つの動的しきい値を使う</b>
<p>
	このフィールドで、最小と最大の両方の範囲を使うことを許可します。デフォルトでは最小のみです。
</p>
<b>例:</b><br>
警告状態 最小 = 5 かつ 最大 = 10<br>
障害状態 最小 = 10 かつ 最大 = 15<br>
この場合、モジュールは次の状態となります:<br>
	- マイナス無限大から 4 および、16 から無限大は正常状態<br>
	- 5 から 9 は警告状態<br>
	- 10 から 15 は障害状態
<br><br>
<b>例 2:</b><br>
警告状態 最小 = 40 かつ 最大 = 80、条件の反転をチェック<br>
障害状態 最小 = 20 かつ 最大 = 100、条件の反転をチェック<br>
この場合、モジュールは次の状態となります:<br>
	- 41 から 79 は正常状態<br>
	- 21 から 40 よび 80 から 99 は警告状態<br>
	- マイナス無限大から 20 および 100 から無限大は障害状態
<br><br>
<b>より詳細は、どの値であればどの状態になるかを表示しているグラフを参照してください。</b>
